package com.qmth.themis.business.enums;

import java.util.Objects;

/**
 * @Description: mq enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/1
 */
public enum MqEnum {

    SESSION(0, "用户session记录"),
    EXAM_STUDENT_LOG(1, "考生轨迹"),
    WARMING_LOG(2, "预警日志"),
    EXCEPTION_LOG(3, "异常日志"),
    MESSAGE_LOG(4, "消息日志"),
    USER_LOG(5, "用户轨迹"),
    TASK_LOG(6, "任务"),
    QUARTZ_LOG(7, "quartz任务"),
    EXAM(8, "考生端消息"),
    WEBSOCKET_OFFLINE_LOG(9, "websocket强行离线(交卷)"),
    WEBSOCKET_IM_CLUSTERING_LOG(10, "websocket点对点发送消息"),
    WEBSOCKET_IM_BROADCASTING_LOG(11, "websocket广播发送消息"),

    /**
     * websocket超时退出
     */
    WEBSOCKET_UN_NORMAL_LOG(100, "websocket超时退出");

    private int id;

    private String code;

    private MqEnum(int id, String code) {
        this.id = id;
        this.code = code;
    }

    public int getId() {
        return id;
    }

    public String getCode() {
        return code;
    }
}
